Bug 955385 - Directory /etc/prosody/certs should not be shipped by default
Summary: Directory /etc/prosody/certs should not be shipped by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: prosody
Version: el6
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Johan Cwiklinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 955780
TreeView+ depends on / blocked
 
Reported: 2013-04-22 23:45 UTC by Robert Scheck
Modified: 2013-05-30 03:07 UTC (History)
3 users (show)

Fixed In Version: prosody-0.8.2-6.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-15 19:43:56 UTC


Attachments (Terms of Use)
Patch suggestion for prosody.spec to not ship private certs directory (1.03 KB, patch)
2013-04-22 23:46 UTC, Robert Scheck
no flags Details | Diff

Description Robert Scheck 2013-04-22 23:45:08 UTC
Description of problem:
Right now the directory /etc/prosody/certs is shipped by default while the
/etc/pki/tls/{certs,private} is the global one that should be favoured. So
the private /etc/prosody/certs directory should IMHO be not shipped.

Version-Release number of selected component (if applicable):
prosody-0.8.2-5.el6.x86_64

How reproducible:
Everytime, just do a default installation of prosody and verify this.
  
Actual results:
Directory /etc/prosody/certs is shipped by default

Expected results:
Directory /etc/prosody/certs is no longer shipped by default

Additional info:
This issue affects all Fedora and EPEL branches! Please apply the attached
patch or better.

Comment 1 Robert Scheck 2013-04-22 23:46:49 UTC
Created attachment 738727 [details]
Patch suggestion for prosody.spec to not ship private certs directory

Comment 2 Johan Cwiklinski 2013-04-27 21:18:58 UTC
Thank you for your report and your patch.

I've take a look at this one, and I don't think it is the best way to achieve that.

/etc/prosody/certs should not be shipped, I agree; but we already have a patch file for ssl certificates, I guess it would be better to modify the patch so it also take care of the directory.

Comment 3 Fedora Update System 2013-04-27 22:44:44 UTC
prosody-0.8.2-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/prosody-0.8.2-8.fc18

Comment 4 Fedora Update System 2013-04-27 22:45:09 UTC
prosody-0.8.2-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/prosody-0.8.2-6.el6

Comment 5 Fedora Update System 2013-04-27 22:45:33 UTC
prosody-0.8.2-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/prosody-0.8.2-6.fc17

Comment 6 Fedora Update System 2013-04-27 22:56:19 UTC
prosody-0.8.2-9.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/prosody-0.8.2-9.el5

Comment 7 Fedora Update System 2013-04-28 18:31:46 UTC
prosody-0.8.2-9.el5 has been pushed to the Fedora EPEL 5 testing repository.

Comment 8 Fedora Update System 2013-05-15 19:43:56 UTC
prosody-0.8.2-9.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 9 Fedora Update System 2013-05-29 17:33:29 UTC
prosody-0.8.2-6.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-05-30 03:02:08 UTC
prosody-0.8.2-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-05-30 03:07:35 UTC
prosody-0.8.2-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.